import { Module } from '@nestjs/common';
import { AppController } from './app.controller';
import { AppService } from './app.service';
import { TypeOrmModule } from '@nestjs/typeorm';
import { Danmu } from './danmu/danmu.entity';

@Module({
  imports: [
    TypeOrmModule.forRoot({
      type: 'mysql',
      host: 'sh-cdb-qlkmuvd2.sql.tencentcdb.com',
      port: 63982,
      username: 'root',
      password: 'cr654654.',
      database: 'demo',
      entities: [__dirname + '/**/*.entity{.ts,.js}'],
      // synchronize: true,
      timezone: 'Asia/Shanghai', // 这里设置了时区
    }),
    TypeOrmModule.forFeature([Danmu]),
  ],
  controllers: [AppController],
  providers: [AppService],
})
export class AppModule {}
